module PLM
  #
  #
  #
  module Model

    #
    # A documenter
    #
    class MyService < PLM::Model::PlmBackend

      #class Adapter
      #  class Ldap < PLM::Model::PlmBackend
      ldap_mapping dn_attribute: 'cn',
      prefix: 'ou=groupesmachines,o=people',
      classes: [ 'posixGroup' ]
      has_many :members,
      class_name: 'PLM::Model::Plm',
      primary_key: 'uid',
      wrap: 'uidMember'


      def config
        JSON.parse description if attribute_present?('description')
      end

      def member?(uid)
        self.memberUid(true).member? uid
      end

      def remove_member(uid)
        self.memberUid =  memberUid(true)-[uid]
        save
      end

      def add_member(uid)
        self.memberUid =  memberUid(true)+[uid]
        save
      end
    end
  end
end
