module PLM
  module Model
    module PlmAdapter
      module InterfaceMixin

        #
        # Retourne les clés ssh du compte
        #
        def get_sshKeys
          raise 'Not implemented'
        end
        #
        # Ajout d'une clé SSH
        #
        def add_sshKey(req)
          raise 'Not implemented'
        end
        #
        # Renommage d'une clé SSH
        #
        def set_sshKey(req)
          raise 'Not implemented'
        end
        #
        # Suppression d'une clé SSH
        #
        def del_sshKey(req)
          raise 'Not implemented'
        end
      end
    end
  end
end
