# -*- encoding: utf-8 -*-
Gem::Specification.new do |spec|
  spec.name              = File.basename(__FILE__, '.*')
  spec.version           = ENV['GEM_VERSION']
  spec.authors           = [ 'David Delavennat', 'Philippe Depouilly' ]
  spec.email             = [ 'support@math.cnrs.fr' ]
  spec.summary           = 'some GEM'
  spec.description       = 'plm adapter ldap gem'
  spec.homepage          = 'http://plm.math.cnrs.fr/doc/'
  spec.platform          = Gem::Platform::RUBY
  spec.has_rdoc          = true
  spec.rdoc_options     += %w(
                             --quiet
                             --line-numbers
                             --inline-source
                             --title 'PortailMaths'
                             --main README.md
                           )
  spec.license           = 'LGPLv3'
  spec.required_ruby_version = '>= 2'
  spec.files             = `git ls-files -z`.split("\x0")
  spec.executables       = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths     = [ 'lib' ]

  spec.add_development_dependency 'plm_build',  '~>1.0'
  spec.add_runtime_dependency     'plm_model',  '~>1.0'
  spec.add_runtime_dependency     'activeldap', '~>6.0'
# spec.add_runtime_dependency     'ruby-ldap',            '~>0.9'
  spec.add_runtime_dependency     'net-ldap',   '~>0.16'
end
